Tool
deployment_environment_create
Create a new environment
Create a new environment
Behavior
- HTTP
POST /deployment/environments
Arguments
Name | Type | Required | Description |
|---|---|---|---|
name | string | • | No description in the catalog. |
slug | string | — | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
name | string | • | |
slug | string | • | |
type | string | • | |
status | string | • | |
prBranch | string | • | |
prNumber | integer | • | |
createdAt | string | • | |
expiresAt | string | • | |
updatedAt | string | • | |
isProduction | boolean | • | |
repoFullName | string | • | |
lastErrorMessage | string | • | |
baseEnvironmentId | string | • |
Try it
Create a new environment.